#include "defines.h"
#include "countdown.h"
#include "helferchen.h"

/* ---------------------------------------------------------------
  Countdown-Zähler (die eigentlich "countup" machen) verwalten.
  Countdowns können gestaret oder nach-getriggert werden,
  sie müssen sekündlich bearbeitet (runter-gezählt) werden
  und für sie kann geprüft werden, ob sie noch laufen oder schon
  abgelaufen sind.
  Countdowns können maximal 59 Sekunden lang laufen.

  akt_sekunden  ist immer RTC.second
  nummer        ist die Nummer des jeweiligen Countdowns
  anz_sekunden  ist die Anzahl der Sekunden, die der Countdown
                laufen soll
*/
void GRcountdown::StartOderRetrigger(byte akt_sekunden, byte nummer, byte anz_sekunden)
{
  // Timeout bei "anz_sekunden" + "akt_sekunden"
  countdown[nummer]=FensterAdd(akt_sekunden, anz_sekunden, 0, 59);
  countdown_laeuft[nummer]=TRUE;
}

void GRcountdown::Bearbeiten(byte akt_sekunden)
{
  for(int i=0; i<ANZAHL_COUNTDOWNS; i++) {
    if(akt_sekunden==countdown[i]) {
      countdown_laeuft[i]=FALSE;
    }
  }
}

void GRcountdown::Stop(byte nummer)
{
  countdown_laeuft[nummer]=FALSE;
}

byte GRcountdown::Laeuft(byte nummer)
{
  return(countdown_laeuft[nummer]);
}

