
// Arduino-Pins
#define IR_PIN 2            // ATmega326-Pin-04
#define LCD_BELEUCHTUNG 9   // ATmega326-Pin-15
#define RELAIS_PIN 10       // ATmega326-Pin-16
#define PIEZO_PIN 11        // ATmega326-Pin-17
#define RELAIS2_PIN 12      // ATmega326-Pin-18
#define FB_DATA_RESET 14    // ATmega326-Pin-23

// genereller Kram
#define FALSE 0
#define TRUE  1

#define LCD_BLINK_EIN             0b00000001
#define LCD_BLINK_AUS             0b11111110
#define LCD_MENUE_BELEUCHTUNG_EIN 0b00000010
#define LCD_MENUE_BELEUCHTUNG_AUS 0b11111101
#define LCD_STILLER_ALARM_EIN     0b00000100
#define LCD_STILLER_ALARM_AUS     0b11111011
#define LCD_VOLLER_ALARM_EIN      0b00001000
#define LCD_VOLLER_ALARM_AUS      0b11110111

// Benennung von Tasten-Gruppen
#define IRgrp_ILLEGAL   0
#define IRgrp_ZIFFERN   1
#define IRgrp_CSRLTRT   2
#define IRgrp_CSRUPDN   4
#define IRgrp_MENU      8
#define IRgrp_ENTER    16
#define IRgrp_EXIT     32
#define IRgrp_ONOFF    64
#define IRgrp_PRGUPDN 128
#define IRgrp_SLEEP   256

// Benennung von Einzel-Tasten
#define IRkey_CSRLT 10
#define IRkey_CSRRT 11
#define IRkey_CSRUP 20
#define IRkey_CSRDN 21
#define IRkey_MENU  30
#define IRkey_ENTER 40
#define IRkey_EXIT  50
#define IRkey_ONOFF 60
#define IRkey_PRGUP 70
#define IRkey_PRGDN 71
#define IRkey_SLEEP 80

// Benennung von Nutzern / Glotzern
#define USER_TOBI 0
#define CODE_TOBI 0
#define USER_LARS 1
#define CODE_LARS 1
#define USER_FREI 2
#define CODE_FREI 2
#define USER_KEIN 3
#define CODE_MSTR 3

// Benennung von Meldungs-Texten
#define MELDUNG_ZEITSPERRE     0
#define MELDUNG_ZEITABGELAUFEN 1
#define MELDUNG_CODEFALSCH     2
#define MELDUNG_ZUKURZ         3
#define MELDUNG_MENUEGESPERRT  4
#define MELDUNG_CODE_ILLEGAL   5
#define MELDUNG_ZEITEN_ILLEGAL 6

// Benennung von Programm-Modi
#define MODUS_HAUPTSCHIRM    0
#define MODUS_CODEEINGABE    1
#define MODUS_MENUE          2
#define ANZAHL_MENUEPUNKTE  8  // die Menüpunkte gehen von 10 bis (ANZAHL_MENUEPUNKTE+10)
#define   MODUS_CODE_STELLEN  10
// hinter 10 dürfen nur noch Menüpunkte kommen,
// weil für die Menü-Sperre auf >10 geprüft wird.
// und es muss fortlaufend sein, weil es zu den
// Menü-Texten "menu_titel[][]" passen sollte
#define   MODUS_ZEITFENSTER   11
#define   MODUS_SCHALTDAUERN  12
#define   MODUS_DATUM_STELLEN 13
#define   MODUS_ZEIT_STELLEN  14
#define   MODUS_LOG_ANSEHEN   15
#define   MODUS_PARAMETER     16
#define   MODUS_FERIENMODUS   17
#define   MODUS_HIFI_POWER    18

