#include "helferchen.h"
#include "defines.h"

/* ---------------------------------------------------------------
  "wert" innerhalb des Fensters von "start" bis "ende" mit
  Umlauf inkrementieren bzw. dekrementieren

  wert muss >=start und <=ende sein
  schritte muss kleiner als ende-start sein
  start muss kleiner als ende sein
*/
byte FensterAdd(byte wert, byte schritte, byte start, byte ende)
{
  if((wert+schritte)<=ende)  return(wert+schritte);
  return(schritte-(ende-wert)-1+start);
}
byte FensterSub(byte wert, byte schritte, byte start, byte ende)
{
  if((wert-schritte)>=start)  return(wert-schritte);
  return(ende-(schritte-(wert-start)-1));
}

/* ---------------------------------------------------------------
  Toene synchron und ohne "PWM interference problems" abspielen
*/
#define DELAY_OFFSET 11
// quelle: http://www.sparkfun.com/products/7950
void beep(unsigned long hz, unsigned long ms) {
  // reference: 440hz = 2273 usec/cycle, 1136 usec/half-cycle
  unsigned long us = (500000 / hz) - DELAY_OFFSET;
  unsigned long rep = (ms * 500L) / (us + DELAY_OFFSET);
  for (int i = 0; i < rep; i++) {
    digitalWrite(PIEZO_PIN, 1);
    delayMicroseconds(us);
    digitalWrite(PIEZO_PIN, 0);
    delayMicroseconds(us);
  }
}

void gutTon(void)
{
  beep(1000, 30);
}

void schlechtTon(void)
{
  beep(200, 100);
  beep(100, 150);
}

